#ifndef _crc32_h_
#define _crc32_h_
#ifdef __cplusplus
extern "C" {
#endif
unsigned int crc32(unsigned int crc, const void *buf, size_t len);
void crc32init(unsigned int *crc);
void crc32update(unsigned int *crc, const void * b, size_t len);
void crc32final(unsigned int *crc);
unsigned int crcsimple(const void *buf, size_t len);
#ifdef __cplusplus
}
#endif

#endif
